package contract_request

import (
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
)

type ContractPressOperatorRequest struct {
	// <ext>core:true;format:string;deprecated:false</ext> 【签署方id】签署方id 【作用】 通过签署方id查询需催签的签署方。
	SignatoryId *int64 `json:"signatoryId,omitempty"`
}

func (obj ContractPressOperatorRequest) GetUrl() string {
	return "/contract/press/operator"
}

func (obj ContractPressOperatorRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewGetHttpParameter()
	parameter.AddParam("signatoryId", obj.SignatoryId)
	return parameter
}
